using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;
using Alvas.Windows.Forms.FileControls;

namespace FileControlsCs
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	internal class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabControl tabControl1;
		private System.Windows.Forms.TabPage tabPage1;
		private System.Windows.Forms.TabPage tabPage2;
		private System.Windows.Forms.ColumnHeader chName;
		private System.Windows.Forms.ColumnHeader chSize;
		private System.Windows.Forms.ColumnHeader chType;
		private System.Windows.Forms.ColumnHeader chDate;
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem menuItem2;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.MenuItem menuItem4;
		private System.Windows.Forms.MenuItem menuItem5;
		private System.Windows.Forms.MenuItem menuItem6;
		private Alvas.Windows.Forms.FileControls.FileListBox filb;
		private Alvas.Windows.Forms.FileControls.FolderListBox flb;
		private Alvas.Windows.Forms.FileControls.FilterComboBox fcb;
		private Alvas.Windows.Forms.FileControls.DriveComboBox dcb;
		private Alvas.Windows.Forms.FileControls.FileFind ff;
		private Alvas.Windows.Forms.FileControls.FileOperation fo;
		private System.Windows.Forms.ImageList imageList1;
		private System.Windows.Forms.ToolBar toolBar1;
		private System.Windows.Forms.ToolBarButton toolBarButton2;
		private System.Windows.Forms.ToolBarButton toolBarButton3;
		private System.Windows.Forms.ToolBarButton toolBarButton4;
		private System.Windows.Forms.ToolBarButton toolBarButton5;
		private System.Windows.Forms.ContextMenu contextMenu1;
		private System.Windows.Forms.MenuItem miTiles;
		private System.Windows.Forms.MenuItem miIcons;
		private System.Windows.Forms.MenuItem miList;
		private System.Windows.Forms.MenuItem miDetails;
		private Alvas.Windows.Forms.FileControls.FilterComboBox filterComboBox1;
		private Alvas.Windows.Forms.FileControls.ExplorerTreeView etv;
		private Alvas.Windows.Forms.FileControls.ExplorerListView elv;
		private Alvas.Windows.Forms.FileControls.DragFile df1;
		private PathInfo ai;
		private System.Windows.Forms.ColumnHeader columnHeader1;
		private System.Windows.Forms.ColumnHeader columnHeader2;
		private System.Windows.Forms.ColumnHeader columnHeader3;
		private System.Windows.Forms.ColumnHeader columnHeader4;
		private System.Windows.Forms.TabPage tabPage3;
		private System.Windows.Forms.TabPage tabPage4;
		private System.Windows.Forms.ListBox lbDrag;
		private System.Windows.Forms.Button btnFind;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox tbPath;
		private System.Windows.Forms.TextBox tbMask;
		private System.Windows.Forms.CheckBox cbSubDir;
		private System.Windows.Forms.ListView lvFind;
		private System.Windows.Forms.ColumnHeader columnHeader5;
		private System.Windows.Forms.ColumnHeader columnHeader6;
		private System.Windows.Forms.Button btnStop;
		private System.Windows.Forms.TabPage tabPage5;
		private System.Windows.Forms.Button btnCopy;
		private System.Windows.Forms.TextBox tbFrom;
		private System.Windows.Forms.TextBox tbTo;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TabPage tabPage6;
		private System.Windows.Forms.FolderBrowserDialog fbdMain;
		private System.Windows.Forms.OpenFileDialog ofdMain;
		private System.Windows.Forms.ImageList ilMain;
		private System.Windows.Forms.ContextMenu cmMain;
		private System.Windows.Forms.MenuItem miFile;
		private System.Windows.Forms.MenuItem miFolder;
		private System.Windows.Forms.ToolBar tbMain;
		private System.Windows.Forms.ToolBarButton tbbAdd;
		private System.Windows.Forms.ToolBarButton tbbDelete;
		private System.Windows.Forms.ToolBarButton tbbBurn;
		private System.Windows.Forms.ListBox lbMain;
		private Alvas.Windows.Forms.FileControls.CDBurner cdBurner;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
					{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.cdBurner = new Alvas.Windows.Forms.FileControls.CDBurner();
			this.tabControl1 = new System.Windows.Forms.TabControl();
			this.tabPage1 = new System.Windows.Forms.TabPage();
			this.elv = new Alvas.Windows.Forms.FileControls.ExplorerListView();
			this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader3 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader4 = new System.Windows.Forms.ColumnHeader();
			this.etv = new Alvas.Windows.Forms.FileControls.ExplorerTreeView();
			this.filterComboBox1 = new Alvas.Windows.Forms.FileControls.FilterComboBox();
			this.toolBar1 = new System.Windows.Forms.ToolBar();
			this.toolBarButton2 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton3 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton4 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton5 = new System.Windows.Forms.ToolBarButton();
			this.imageList1 = new System.Windows.Forms.ImageList(this.components);
			this.tabPage3 = new System.Windows.Forms.TabPage();
			this.btnStop = new System.Windows.Forms.Button();
			this.lvFind = new System.Windows.Forms.ListView();
			this.columnHeader5 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader6 = new System.Windows.Forms.ColumnHeader();
			this.cbSubDir = new System.Windows.Forms.CheckBox();
			this.tbMask = new System.Windows.Forms.TextBox();
			this.tbPath = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.btnFind = new System.Windows.Forms.Button();
			this.tabPage4 = new System.Windows.Forms.TabPage();
			this.lbDrag = new System.Windows.Forms.ListBox();
			this.tabPage2 = new System.Windows.Forms.TabPage();
			this.filb = new Alvas.Windows.Forms.FileControls.FileListBox();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.flb = new Alvas.Windows.Forms.FileControls.FolderListBox();
			this.fcb = new Alvas.Windows.Forms.FileControls.FilterComboBox();
			this.dcb = new Alvas.Windows.Forms.FileControls.DriveComboBox();
			this.tabPage5 = new System.Windows.Forms.TabPage();
			this.label4 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.tbTo = new System.Windows.Forms.TextBox();
			this.tbFrom = new System.Windows.Forms.TextBox();
			this.btnCopy = new System.Windows.Forms.Button();
			this.tabPage6 = new System.Windows.Forms.TabPage();
			this.lbMain = new System.Windows.Forms.ListBox();
			this.tbMain = new System.Windows.Forms.ToolBar();
			this.tbbAdd = new System.Windows.Forms.ToolBarButton();
			this.cmMain = new System.Windows.Forms.ContextMenu();
			this.miFile = new System.Windows.Forms.MenuItem();
			this.miFolder = new System.Windows.Forms.MenuItem();
			this.tbbDelete = new System.Windows.Forms.ToolBarButton();
			this.tbbBurn = new System.Windows.Forms.ToolBarButton();
			this.ilMain = new System.Windows.Forms.ImageList(this.components);
			this.df1 = new Alvas.Windows.Forms.FileControls.DragFile();
			this.ff = new Alvas.Windows.Forms.FileControls.FileFind();
			this.ai = new Alvas.Windows.Forms.FileControls.PathInfo();
			this.fo = new Alvas.Windows.Forms.FileControls.FileOperation();
			this.contextMenu1 = new System.Windows.Forms.ContextMenu();
			this.miTiles = new System.Windows.Forms.MenuItem();
			this.miIcons = new System.Windows.Forms.MenuItem();
			this.miList = new System.Windows.Forms.MenuItem();
			this.miDetails = new System.Windows.Forms.MenuItem();
			this.chName = new System.Windows.Forms.ColumnHeader();
			this.chSize = new System.Windows.Forms.ColumnHeader();
			this.chType = new System.Windows.Forms.ColumnHeader();
			this.chDate = new System.Windows.Forms.ColumnHeader();
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.menuItem4 = new System.Windows.Forms.MenuItem();
			this.menuItem5 = new System.Windows.Forms.MenuItem();
			this.menuItem6 = new System.Windows.Forms.MenuItem();
			this.fbdMain = new System.Windows.Forms.FolderBrowserDialog();
			this.ofdMain = new System.Windows.Forms.OpenFileDialog();
			this.tabControl1.SuspendLayout();
			this.tabPage1.SuspendLayout();
			this.tabPage3.SuspendLayout();
			this.tabPage4.SuspendLayout();
			this.tabPage2.SuspendLayout();
			this.tabPage5.SuspendLayout();
			this.tabPage6.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabControl1
			// 
			this.tabControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.tabControl1.Controls.Add(this.tabPage1);
			this.tabControl1.Controls.Add(this.tabPage3);
			this.tabControl1.Controls.Add(this.tabPage4);
			this.tabControl1.Controls.Add(this.tabPage2);
			this.tabControl1.Controls.Add(this.tabPage5);
			this.tabControl1.Controls.Add(this.tabPage6);
			this.tabControl1.Location = new System.Drawing.Point(0, 0);
			this.tabControl1.Name = "tabControl1";
			this.tabControl1.SelectedIndex = 0;
			this.tabControl1.Size = new System.Drawing.Size(584, 264);
			this.tabControl1.TabIndex = 6;
			// 
			// tabPage1
			// 
			this.tabPage1.Controls.Add(this.elv);
			this.tabPage1.Controls.Add(this.etv);
			this.tabPage1.Controls.Add(this.filterComboBox1);
			this.tabPage1.Controls.Add(this.toolBar1);
			this.tabPage1.Location = new System.Drawing.Point(4, 22);
			this.tabPage1.Name = "tabPage1";
			this.tabPage1.Size = new System.Drawing.Size(576, 238);
			this.tabPage1.TabIndex = 0;
			this.tabPage1.Text = "Explorer";
			// 
			// elv
			// 
			this.elv.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																				  this.columnHeader1,
																				  this.columnHeader2,
																				  this.columnHeader3,
																				  this.columnHeader4});
			this.elv.Dock = System.Windows.Forms.DockStyle.Fill;
			this.elv.ExplorerTree = this.etv;
			this.elv.Folder = "c:\\";
			this.elv.HideSelection = false;
			this.elv.Location = new System.Drawing.Point(168, 54);
			this.elv.Mask = "*.*";
			this.elv.Name = "elv";
			this.elv.Size = new System.Drawing.Size(408, 184);
			this.elv.TabIndex = 19;
			this.elv.View = System.Windows.Forms.View.Details;
			this.elv.FileExecuted += new Alvas.Windows.Forms.FileControls.ExplorerListView.FileExecuteEventHandler(this.elv_FileExecuted);
			// 
			// columnHeader1
			// 
			this.columnHeader1.Text = "Name";
			this.columnHeader1.Width = 145;
			// 
			// columnHeader2
			// 
			this.columnHeader2.Text = "Size";
			// 
			// columnHeader3
			// 
			this.columnHeader3.Text = "Type";
			// 
			// columnHeader4
			// 
			this.columnHeader4.Text = "Date Modified";
			this.columnHeader4.Width = 120;
			// 
			// etv
			// 
			this.etv.Dock = System.Windows.Forms.DockStyle.Left;
			this.etv.ExplorerList = this.elv;
			this.etv.Folder = "c:\\";
			this.etv.HideSelection = false;
			this.etv.ImageIndex = -1;
			this.etv.Location = new System.Drawing.Point(0, 54);
			this.etv.Name = "etv";
			this.etv.SelectedImageIndex = -1;
			this.etv.Size = new System.Drawing.Size(168, 184);
			this.etv.TabIndex = 18;
			// 
			// filterComboBox1
			// 
			this.filterComboBox1.Dock = System.Windows.Forms.DockStyle.Top;
			this.filterComboBox1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.filterComboBox1.ExplorerList = this.elv;
			this.filterComboBox1.FileList = null;
			this.filterComboBox1.Filter = "All files (*.*)|*.*|Text documents (*.txt)|*.txt";
			this.filterComboBox1.Location = new System.Drawing.Point(0, 33);
			this.filterComboBox1.Name = "filterComboBox1";
			this.filterComboBox1.Size = new System.Drawing.Size(576, 21);
			this.filterComboBox1.TabIndex = 14;
			// 
			// toolBar1
			// 
			this.toolBar1.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																						this.toolBarButton2,
																						this.toolBarButton3,
																						this.toolBarButton4,
																						this.toolBarButton5});
			this.toolBar1.DropDownArrows = true;
			this.toolBar1.ImageList = this.imageList1;
			this.toolBar1.Location = new System.Drawing.Point(0, 0);
			this.toolBar1.Name = "toolBar1";
			this.toolBar1.ShowToolTips = true;
			this.toolBar1.Size = new System.Drawing.Size(576, 33);
			this.toolBar1.TabIndex = 9;
			this.toolBar1.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.toolBar1_ButtonClick);
			// 
			// toolBarButton2
			// 
			this.toolBarButton2.ImageIndex = 0;
			this.toolBarButton2.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			// 
			// toolBarButton3
			// 
			this.toolBarButton3.ImageIndex = 1;
			this.toolBarButton3.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			// 
			// toolBarButton4
			// 
			this.toolBarButton4.ImageIndex = 2;
			this.toolBarButton4.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			// 
			// toolBarButton5
			// 
			this.toolBarButton5.ImageIndex = 3;
			this.toolBarButton5.Pushed = true;
			this.toolBarButton5.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			// 
			// imageList1
			// 
			this.imageList1.ColorDepth = System.Windows.Forms.ColorDepth.Depth24Bit;
			this.imageList1.ImageSize = new System.Drawing.Size(21, 21);
			this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
			this.imageList1.TransparentColor = System.Drawing.Color.Magenta;
			// 
			// tabPage3
			// 
			this.tabPage3.Controls.Add(this.btnStop);
			this.tabPage3.Controls.Add(this.lvFind);
			this.tabPage3.Controls.Add(this.cbSubDir);
			this.tabPage3.Controls.Add(this.tbMask);
			this.tabPage3.Controls.Add(this.tbPath);
			this.tabPage3.Controls.Add(this.label2);
			this.tabPage3.Controls.Add(this.label1);
			this.tabPage3.Controls.Add(this.btnFind);
			this.tabPage3.Location = new System.Drawing.Point(4, 22);
			this.tabPage3.Name = "tabPage3";
			this.tabPage3.Size = new System.Drawing.Size(576, 238);
			this.tabPage3.TabIndex = 2;
			this.tabPage3.Text = "FileFind";
			// 
			// btnStop
			// 
			this.btnStop.Location = new System.Drawing.Point(88, 8);
			this.btnStop.Name = "btnStop";
			this.btnStop.TabIndex = 7;
			this.btnStop.Text = "Stop";
			this.btnStop.Click += new System.EventHandler(this.btnStop_Click);
			// 
			// lvFind
			// 
			this.lvFind.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.lvFind.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																					 this.columnHeader5,
																					 this.columnHeader6});
			this.lvFind.FullRowSelect = true;
			this.lvFind.HideSelection = false;
			this.lvFind.Location = new System.Drawing.Point(8, 40);
			this.lvFind.Name = "lvFind";
			this.lvFind.Size = new System.Drawing.Size(560, 192);
			this.lvFind.TabIndex = 6;
			this.lvFind.View = System.Windows.Forms.View.Details;
			// 
			// columnHeader5
			// 
			this.columnHeader5.Text = "Path";
			this.columnHeader5.Width = 400;
			// 
			// columnHeader6
			// 
			this.columnHeader6.Text = "Type";
			this.columnHeader6.Width = 150;
			// 
			// cbSubDir
			// 
			this.cbSubDir.Location = new System.Drawing.Point(416, 8);
			this.cbSubDir.Name = "cbSubDir";
			this.cbSubDir.Size = new System.Drawing.Size(136, 24);
			this.cbSubDir.TabIndex = 5;
			this.cbSubDir.Text = "Include Subdirectories";
			// 
			// tbMask
			// 
			this.tbMask.Location = new System.Drawing.Point(360, 8);
			this.tbMask.Name = "tbMask";
			this.tbMask.Size = new System.Drawing.Size(48, 20);
			this.tbMask.TabIndex = 4;
			this.tbMask.Text = "*.*";
			// 
			// tbPath
			// 
			this.tbPath.Location = new System.Drawing.Point(208, 8);
			this.tbPath.Name = "tbPath";
			this.tbPath.Size = new System.Drawing.Size(104, 20);
			this.tbPath.TabIndex = 3;
			this.tbPath.Text = "c:\\";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(320, 16);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(32, 16);
			this.label2.TabIndex = 2;
			this.label2.Text = "Mask";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(176, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(32, 16);
			this.label1.TabIndex = 1;
			this.label1.Text = "Path";
			// 
			// btnFind
			// 
			this.btnFind.Location = new System.Drawing.Point(8, 8);
			this.btnFind.Name = "btnFind";
			this.btnFind.TabIndex = 0;
			this.btnFind.Text = "Find";
			this.btnFind.Click += new System.EventHandler(this.btnFind_Click);
			// 
			// tabPage4
			// 
			this.tabPage4.Controls.Add(this.lbDrag);
			this.tabPage4.Location = new System.Drawing.Point(4, 22);
			this.tabPage4.Name = "tabPage4";
			this.tabPage4.Size = new System.Drawing.Size(576, 238);
			this.tabPage4.TabIndex = 3;
			this.tabPage4.Text = "Drag&Drop";
			// 
			// lbDrag
			// 
			this.lbDrag.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.lbDrag.Items.AddRange(new object[] {
														"Select files in Windows Explorer and drag\'n\'drop to this control"});
			this.lbDrag.Location = new System.Drawing.Point(8, 8);
			this.lbDrag.Name = "lbDrag";
			this.lbDrag.Size = new System.Drawing.Size(560, 225);
			this.lbDrag.TabIndex = 0;
			// 
			// tabPage2
			// 
			this.tabPage2.Controls.Add(this.filb);
			this.tabPage2.Controls.Add(this.flb);
			this.tabPage2.Controls.Add(this.fcb);
			this.tabPage2.Controls.Add(this.dcb);
			this.tabPage2.Controls.Add(this.textBox1);
			this.tabPage2.Location = new System.Drawing.Point(4, 22);
			this.tabPage2.Name = "tabPage2";
			this.tabPage2.Size = new System.Drawing.Size(576, 238);
			this.tabPage2.TabIndex = 1;
			this.tabPage2.Text = "List Controls";
			// 
			// filb
			// 
			this.filb.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
			this.filb.FileEdit = this.textBox1;
			this.filb.Folder = "C:\\";
			this.filb.ItemHeight = 16;
			this.filb.Location = new System.Drawing.Point(200, 40);
			this.filb.Mask = "*.*";
			this.filb.Name = "filb";
			this.filb.Size = new System.Drawing.Size(176, 164);
			this.filb.TabIndex = 11;
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(16, 16);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(360, 20);
			this.textBox1.TabIndex = 10;
			this.textBox1.Text = "";
			// 
			// flb
			// 
			this.flb.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
			this.flb.FileList = this.filb;
			this.flb.Folder = "C:\\";
			this.flb.ItemHeight = 16;
			this.flb.Location = new System.Drawing.Point(16, 40);
			this.flb.Name = "flb";
			this.flb.Size = new System.Drawing.Size(176, 164);
			this.flb.TabIndex = 12;
			// 
			// fcb
			// 
			this.fcb.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.fcb.ExplorerList = null;
			this.fcb.FileList = this.filb;
			this.fcb.Filter = "All files (*.*)|*.*|Text documents (*.txt)|*.txt";
			this.fcb.Location = new System.Drawing.Point(200, 208);
			this.fcb.Name = "fcb";
			this.fcb.Size = new System.Drawing.Size(176, 21);
			this.fcb.TabIndex = 13;
			// 
			// dcb
			// 
			this.dcb.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed;
			this.dcb.Drive = "C:\\";
			this.dcb.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.dcb.FolderList = this.flb;
			this.dcb.ItemHeight = 16;
			this.dcb.Location = new System.Drawing.Point(16, 208);
			this.dcb.Name = "dcb";
			this.dcb.Size = new System.Drawing.Size(176, 22);
			this.dcb.TabIndex = 14;
			// 
			// tabPage5
			// 
			this.tabPage5.Controls.Add(this.label4);
			this.tabPage5.Controls.Add(this.label3);
			this.tabPage5.Controls.Add(this.tbTo);
			this.tabPage5.Controls.Add(this.tbFrom);
			this.tabPage5.Controls.Add(this.btnCopy);
			this.tabPage5.Location = new System.Drawing.Point(4, 22);
			this.tabPage5.Name = "tabPage5";
			this.tabPage5.Size = new System.Drawing.Size(576, 238);
			this.tabPage5.TabIndex = 4;
			this.tabPage5.Text = "FileOperation";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(8, 48);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(208, 16);
			this.label4.TabIndex = 4;
			this.label4.Text = "Path Destination to file or directory";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(8, 8);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(208, 16);
			this.label3.TabIndex = 3;
			this.label3.Text = "Path Source to file or directory";
			// 
			// tbTo
			// 
			this.tbTo.Location = new System.Drawing.Point(8, 64);
			this.tbTo.Name = "tbTo";
			this.tbTo.Size = new System.Drawing.Size(208, 20);
			this.tbTo.TabIndex = 2;
			this.tbTo.Text = "c:\\Windows_Copy";
			// 
			// tbFrom
			// 
			this.tbFrom.Location = new System.Drawing.Point(8, 24);
			this.tbFrom.Name = "tbFrom";
			this.tbFrom.Size = new System.Drawing.Size(208, 20);
			this.tbFrom.TabIndex = 1;
			this.tbFrom.Text = "c:\\Windows";
			// 
			// btnCopy
			// 
			this.btnCopy.Location = new System.Drawing.Point(224, 40);
			this.btnCopy.Name = "btnCopy";
			this.btnCopy.Size = new System.Drawing.Size(56, 24);
			this.btnCopy.TabIndex = 0;
			this.btnCopy.Text = "Copy";
			this.btnCopy.Click += new System.EventHandler(this.btnCopy_Click);
			// 
			// tabPage6
			// 
			this.tabPage6.Controls.Add(this.lbMain);
			this.tabPage6.Controls.Add(this.tbMain);
			this.tabPage6.Location = new System.Drawing.Point(4, 22);
			this.tabPage6.Name = "tabPage6";
			this.tabPage6.Size = new System.Drawing.Size(576, 238);
			this.tabPage6.TabIndex = 5;
			this.tabPage6.Text = "CDBurner";
			// 
			// lbMain
			// 
			this.lbMain.Dock = System.Windows.Forms.DockStyle.Fill;
			this.lbMain.Location = new System.Drawing.Point(0, 26);
			this.lbMain.Name = "lbMain";
			this.lbMain.Size = new System.Drawing.Size(576, 212);
			this.lbMain.TabIndex = 7;
			this.lbMain.SelectedIndexChanged += new System.EventHandler(this.lbMain_SelectedIndexChanged);
			// 
			// tbMain
			// 
			this.tbMain.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.tbMain.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																					  this.tbbAdd,
																					  this.tbbDelete,
																					  this.tbbBurn});
			this.tbMain.Divider = false;
			this.tbMain.DropDownArrows = true;
			this.tbMain.ImageList = this.ilMain;
			this.tbMain.Location = new System.Drawing.Point(0, 0);
			this.tbMain.Name = "tbMain";
			this.tbMain.ShowToolTips = true;
			this.tbMain.Size = new System.Drawing.Size(576, 26);
			this.tbMain.TabIndex = 6;
			this.tbMain.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right;
			this.tbMain.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.tbMain_ButtonClick);
			// 
			// tbbAdd
			// 
			this.tbbAdd.DropDownMenu = this.cmMain;
			this.tbbAdd.ImageIndex = 0;
			this.tbbAdd.Style = System.Windows.Forms.ToolBarButtonStyle.DropDownButton;
			this.tbbAdd.Text = "Add";
			this.tbbAdd.ToolTipText = "Add file or folder";
			// 
			// cmMain
			// 
			this.cmMain.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																				   this.miFile,
																				   this.miFolder});
			// 
			// miFile
			// 
			this.miFile.Index = 0;
			this.miFile.Text = "File";
			this.miFile.Click += new System.EventHandler(this.miFile_Click);
			// 
			// miFolder
			// 
			this.miFolder.Index = 1;
			this.miFolder.Text = "Folder";
			this.miFolder.Click += new System.EventHandler(this.miFolder_Click);
			// 
			// tbbDelete
			// 
			this.tbbDelete.Enabled = false;
			this.tbbDelete.ImageIndex = 1;
			this.tbbDelete.Text = "Delete";
			this.tbbDelete.ToolTipText = "Delete current selection";
			// 
			// tbbBurn
			// 
			this.tbbBurn.ImageIndex = 2;
			this.tbbBurn.Text = "Burn";
			this.tbbBurn.ToolTipText = "Burn";
			// 
			// ilMain
			// 
			this.ilMain.ImageSize = new System.Drawing.Size(16, 16);
			this.ilMain.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilMain.ImageStream")));
			this.ilMain.TransparentColor = System.Drawing.Color.Blue;
			// 
			// df1
			// 
			this.df1.TargetControl = this.lbDrag;
			this.df1.DropFiles += new Alvas.Windows.Forms.FileControls.DragFile.DropFilesEventHandler(this.df1_DropFiles);
			// 
			// ff
			// 
			this.ff.FileFinded += new Alvas.Windows.Forms.FileControls.FileFind.FileFindedEventHandler(this.ff_FileFinded);
			this.ff.Stopped += new System.EventHandler(this.ff_Stopped);
			this.ff.Started += new System.EventHandler(this.ff_Started);
			// 
			// fo
			// 
			this.fo.Destination = new string[0];
			this.fo.Flags = Alvas.Windows.Forms.FileControls.Flags.None;
			this.fo.ProgressTitle = "";
			this.fo.Source = new string[0];
			// 
			// contextMenu1
			// 
			this.contextMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																						 this.miTiles,
																						 this.miIcons,
																						 this.miList,
																						 this.miDetails});
			// 
			// miTiles
			// 
			this.miTiles.Checked = true;
			this.miTiles.Index = 0;
			this.miTiles.MergeOrder = 1;
			this.miTiles.RadioCheck = true;
			this.miTiles.Text = "Tiles";
			this.miTiles.Click += new System.EventHandler(this.menuItem7_Click);
			// 
			// miIcons
			// 
			this.miIcons.Index = 1;
			this.miIcons.MergeOrder = 1;
			this.miIcons.RadioCheck = true;
			this.miIcons.Text = "Icons";
			this.miIcons.Click += new System.EventHandler(this.menuItem7_Click);
			// 
			// miList
			// 
			this.miList.Index = 2;
			this.miList.MergeOrder = 1;
			this.miList.RadioCheck = true;
			this.miList.Text = "List";
			this.miList.Click += new System.EventHandler(this.menuItem7_Click);
			// 
			// miDetails
			// 
			this.miDetails.Index = 3;
			this.miDetails.MergeOrder = 1;
			this.miDetails.RadioCheck = true;
			this.miDetails.Text = "Details";
			this.miDetails.Click += new System.EventHandler(this.menuItem7_Click);
			// 
			// chName
			// 
			this.chName.Text = "Name";
			this.chName.Width = 150;
			// 
			// chSize
			// 
			this.chSize.Text = "Size";
			// 
			// chType
			// 
			this.chType.Text = "Type";
			// 
			// chDate
			// 
			this.chDate.Text = "Date Modified";
			this.chDate.Width = 120;
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem1,
																					  this.menuItem3});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem2});
			this.menuItem1.Text = "File";
			// 
			// menuItem2
			// 
			this.menuItem2.Index = 0;
			this.menuItem2.Text = "Close";
			this.menuItem2.Click += new System.EventHandler(this.menuItem2_Click);
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 1;
			this.menuItem3.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem4,
																					  this.menuItem5,
																					  this.menuItem6});
			this.menuItem3.Text = "Help";
			// 
			// menuItem4
			// 
			this.menuItem4.Index = 0;
			this.menuItem4.Text = "Help";
			this.menuItem4.Visible = false;
			// 
			// menuItem5
			// 
			this.menuItem5.Index = 1;
			this.menuItem5.Text = "-";
			this.menuItem5.Visible = false;
			// 
			// menuItem6
			// 
			this.menuItem6.Index = 2;
			this.menuItem6.Text = "About";
			this.menuItem6.Click += new System.EventHandler(this.menuItem6_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(584, 261);
			this.Controls.Add(this.tabControl1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Menu = this.mainMenu1;
			this.Name = "Form1";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Alvas FileControls";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.tabControl1.ResumeLayout(false);
			this.tabPage1.ResumeLayout(false);
			this.tabPage3.ResumeLayout(false);
			this.tabPage4.ResumeLayout(false);
			this.tabPage2.ResumeLayout(false);
			this.tabPage5.ResumeLayout(false);
			this.tabPage6.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
			this.fcb.SelectedIndex = 0;
			//AboutBox.ShowNagScreen();
		}

		private void elv_QueryItemText(int item, int subItem, out System.String text)
		{
			text = "{" + item + "," + subItem + "}";
		}

		private void menuItem2_Click(object sender, System.EventArgs e)
		{
			Close();
		}

		private void menuItem7_Click(object sender, System.EventArgs e)
		{
			MenuItem mi = sender as MenuItem;
			if (mi != null)
			{
				this.miTiles.Checked = false;
				this.miDetails.Checked = false;
				this.miIcons.Checked = false;
				this.miList.Checked = false;

				mi.Checked = true;
				switch (mi.Text)
				{
					case "Tiles" :
						elv.View = View.LargeIcon;
						break;
					case "Details" :
						elv.View = View.Details;
						break;
					case "Icons" :
						elv.View = View.SmallIcon;
						break;
					case "List" :
						elv.View = View.List;
						break;
				}
			}
		}

		private void toolBar1_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			toolBarButton2.Pushed = false;
			toolBarButton3.Pushed = false;
			toolBarButton4.Pushed = false;
			toolBarButton5.Pushed = false;

			e.Button.Pushed = true;
			switch (e.Button.ImageIndex)
			{
				case 0 :
					elv.View = View.LargeIcon;
					break;
				case 1 :
					elv.View = View.SmallIcon;
					break;
				case 2 :
					elv.View = View.List;
					break;
				case 3 :
					elv.View = View.Details;
					break;
			}
		}

		private void menuItem6_Click(object sender, System.EventArgs e)
		{
//			AboutBox ab = new AboutBox();
//			ab.ShowDialog();
		}

		private void elv_FileExecuted(object sender, Alvas.Windows.Forms.FileControls.FileExecuteEventArgs e)
		{
			e.Execute = true;
		}

		private void df1_DropFiles(object sender, Alvas.Windows.Forms.FileControls.DropFilesEventArgs e)
		{
			foreach (string file in e.Files)
			{
				lbDrag.Items.Add(file);
			}
		}

		private void btnFind_Click(object sender, System.EventArgs e)
		{
			ExplorerListView.SetSystemImageList(lvFind);
			ff.Path = tbPath.Text;
			ff.Mask = tbMask.Text;
			ff.IncludeSubDirs = this.cbSubDir.Checked;
			ff.Start();
		}

		private void btnStop_Click(object sender, System.EventArgs e)
		{
			ff.Stop();
		}

		private void ff_Started(object sender, System.EventArgs e)
		{
			btnFind.Enabled = false;
		    btnStop.Enabled = !btnFind.Enabled;
			lvFind.Items.Clear();
		}

		private void ff_Stopped(object sender, System.EventArgs e)
		{
			btnFind.Enabled = true;
			btnStop.Enabled = !btnFind.Enabled;
		}

		private void ff_FileFinded(object sender, Alvas.Windows.Forms.FileControls.FileFindedEventArgs e)
		{
			ai.FileName = e.Path;
			string[] arr = {ai.FileName, ai.TypeName};
			ListViewItem lvItem = new ListViewItem(arr, ai.SystemIconIndex);
			lvFind.Items.Add(lvItem);
		}

		private void btnCopy_Click(object sender, System.EventArgs e)
		{
//			CDBurner cb = new CDBurner();
//			cb.Burn(this.Handle);
//			return;
			//FileOperation fo = new FileOperation();
			fo.Flags = Flags.None;
			fo.Operation = Operation.Copy;
			fo.Source = new string[1] {tbFrom.Text};
			fo.Destination = new string[1] {tbTo.Text};
			fo.Execute();
		}

		private void miFile_Click(object sender, System.EventArgs e)
		{
			if (ofdMain.ShowDialog(this) == DialogResult.OK)
			{
				lbMain.Items.Add(ofdMain.FileName);
			}
		}

		private void miFolder_Click(object sender, System.EventArgs e)
		{
			if (fbdMain.ShowDialog(this) == DialogResult.OK)
			{
				lbMain.Items.Add(fbdMain.SelectedPath);
			}
		}

		private void lbMain_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			tbbDelete.Enabled =	lbMain.SelectedIndex >= 0;
		}

		private void tbMain_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			if (e.Button == tbbAdd)
			{
				miFile_Click(null, null);
			}
			else if (e.Button == tbbDelete)
			{
				lbMain.Items.RemoveAt(lbMain.SelectedIndex);
			}
			else if (e.Button == tbbBurn)
			{
				if (lbMain.Items.Count == 0)
				{
					MessageBox.Show("Please add files or folders for recording!");
					return;
				}
				cdBurner.ClearBurnFolder();
				string[] arr = new string[lbMain.Items.Count];
				lbMain.Items.CopyTo(arr, 0);
				cdBurner.AddToBurn(arr);
				cdBurner.Burn(this);
			}
		}

	}
}
